"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eslintImport = void 0;
const import_setting_1 = require("./import_setting");
const import_disabled_rule_1 = require("./rule/import_disabled_rule");
const import_general_rule_1 = require("./rule/import_general_rule");
const eslintImport = {
    plugins: ['import'],
    rules: {
        ...import_disabled_rule_1.importDisabledRule,
        ...import_general_rule_1.importGeneralRule
    },
    settings: {
        ...import_setting_1.eslintImportSetting
    }
};
exports.eslintImport = eslintImport;
//# sourceMappingURL=import.js.map