declare const importGeneralRule: {
    'import/consistent-type-specifier-style': string[];
    'import/default': string;
    'import/export': string;
    'import/exports-last': string;
    'import/first': string;
    'import/named': (string | {
        commonjs: boolean;
    })[];
    'import/namespace': string;
    'import/newline-after-import': string;
    'import/no-absolute-path': string;
    'import/no-amd': string;
    'import/no-anonymous-default-export': (string | {
        allowCallExpression: boolean;
    })[];
    'import/no-cycle': (string | {
        commonjs: boolean;
    })[];
    'import/no-deprecated': string;
    'import/no-duplicates': string;
    'import/no-empty-named-blocks': string;
    'import/no-extraneous-dependencies': (string | {
        bundledDependencies: boolean;
        devDependencies: string[];
        includeTypes: boolean;
        optionalDependencies: boolean;
        peerDependencies: boolean;
    })[];
    'import/no-import-module-exports': (string | {
        exceptions: never[];
    })[];
    'import/no-mutable-exports': string;
    'import/no-named-as-default': string;
    'import/no-named-as-default-member': string;
    'import/no-named-default': string;
    'import/no-namespace': string;
    'import/no-relative-packages': string;
    'import/no-self-import': string;
    'import/no-unresolved': (string | {
        caseSensitive: boolean;
        commonjs: boolean;
    })[];
    'import/no-useless-path-segments': (string | {
        commonjs: boolean;
    })[];
    'import/no-webpack-loader-syntax': string;
};
export { importGeneralRule };
