"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sonar = void 0;
const sonar_disabled_rule_1 = require("./rule/sonar_disabled_rule");
const sonar_general_rule_1 = require("./rule/sonar_general_rule");
const sonar = {
    plugins: ['sonarjs'],
    rules: {
        ...sonar_general_rule_1.sonarGeneralRule,
        ...sonar_disabled_rule_1.sonarDisabledRule
    }
};
exports.sonar = sonar;
//# sourceMappingURL=sonar.js.map