"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptDisabledRule = void 0;
const typescriptDisabledRule = {
    '@typescript-eslint/explicit-member-accessibility': 'off',
    '@typescript-eslint/explicit-module-boundary-types': 'off',
    '@typescript-eslint/init-declarations': 'off',
    '@typescript-eslint/no-non-null-assertion': 'off',
    '@typescript-eslint/no-redundant-type-constituents': 'off',
    '@typescript-eslint/prefer-enum-initializers': 'off',
    '@typescript-eslint/prefer-readonly-parameter-types': ['off', { ignoreInferredTypes: true }],
    '@typescript-eslint/prefer-ts-expect-error': 'off',
    '@typescript-eslint/sort-type-constituents': 'off',
    '@typescript-eslint/strict-boolean-expressions': 'off',
    '@typescript-eslint/triple-slash-reference': 'off',
    '@typescript-eslint/type-annotation-spacing': 'off',
    '@typescript-eslint/typedef': 'off'
};
exports.typescriptDisabledRule = typescriptDisabledRule;
//# sourceMappingURL=typescript_disabled_rule.js.map