declare const typescriptBestPractice: {
    '@typescript-eslint/array-type': string;
    '@typescript-eslint/await-thenable': string;
    '@typescript-eslint/ban-ts-comment': string;
    '@typescript-eslint/ban-tslint-comment': string;
    '@typescript-eslint/ban-types': string;
    '@typescript-eslint/class-literal-property-style': string;
    '@typescript-eslint/consistent-generic-constructors': string;
    '@typescript-eslint/consistent-indexed-object-style': string;
    '@typescript-eslint/consistent-type-assertions': string;
    '@typescript-eslint/consistent-type-definitions': string[];
    '@typescript-eslint/consistent-type-exports': string;
    '@typescript-eslint/consistent-type-imports': (string | {
        prefer: string;
    })[];
    '@typescript-eslint/explicit-function-return-type': string;
    '@typescript-eslint/member-delimiter-style': string;
    '@typescript-eslint/method-signature-style': string;
    '@typescript-eslint/no-base-to-string': string;
    '@typescript-eslint/no-confusing-non-null-assertion': string;
    '@typescript-eslint/no-confusing-void-expression': string;
    '@typescript-eslint/no-duplicate-enum-values': string;
    '@typescript-eslint/no-duplicate-type-constituents': string;
    '@typescript-eslint/no-dynamic-delete': string;
    '@typescript-eslint/no-empty-interface': string;
    '@typescript-eslint/no-explicit-any': string;
    '@typescript-eslint/no-extra-non-null-assertion': string;
    '@typescript-eslint/no-extraneous-class': string;
    '@typescript-eslint/no-floating-promises': string;
    '@typescript-eslint/no-for-in-array': string;
    '@typescript-eslint/no-import-type-side-effects': string;
    '@typescript-eslint/no-inferrable-types': string;
    '@typescript-eslint/no-invalid-void-type': string;
    '@typescript-eslint/no-meaningless-void-operator': string;
    '@typescript-eslint/no-misused-new': string;
    '@typescript-eslint/no-misused-promises': (string | {
        checksVoidReturn: {
            arguments: boolean;
            attributes: boolean;
        };
    })[];
    '@typescript-eslint/no-mixed-enums': string;
    '@typescript-eslint/no-namespace': string;
    '@typescript-eslint/no-non-null-asserted-nullish-coalescing': string;
    '@typescript-eslint/no-non-null-asserted-optional-chain': string;
    '@typescript-eslint/no-require-imports': string;
    '@typescript-eslint/no-this-alias': string;
    '@typescript-eslint/no-unnecessary-boolean-literal-compare': string;
    '@typescript-eslint/no-unnecessary-condition': string;
    '@typescript-eslint/no-unnecessary-qualifier': string;
    '@typescript-eslint/no-unnecessary-type-arguments': string;
    '@typescript-eslint/no-unnecessary-type-assertion': string;
    '@typescript-eslint/no-unnecessary-type-constraint': string;
    '@typescript-eslint/no-unsafe-argument': string;
    '@typescript-eslint/no-unsafe-assignment': string;
    '@typescript-eslint/no-unsafe-call': string;
    '@typescript-eslint/no-unsafe-declaration-merging': string;
    '@typescript-eslint/no-unsafe-enum-comparison': string;
    '@typescript-eslint/no-unsafe-member-access': string;
    '@typescript-eslint/no-unsafe-return': string;
    '@typescript-eslint/no-useless-empty-export': string;
    '@typescript-eslint/no-var-requires': string;
    '@typescript-eslint/non-nullable-type-assertion-style': string;
    '@typescript-eslint/parameter-properties': string;
    '@typescript-eslint/prefer-as-const': string;
    '@typescript-eslint/prefer-for-of': string;
    '@typescript-eslint/prefer-function-type': string;
    '@typescript-eslint/prefer-includes': string;
    '@typescript-eslint/prefer-literal-enum-member': string;
    '@typescript-eslint/prefer-namespace-keyword': string;
    '@typescript-eslint/prefer-nullish-coalescing': (string | {
        ignoreTernaryTests: boolean;
    })[];
    '@typescript-eslint/prefer-optional-chain': string;
    '@typescript-eslint/prefer-readonly': string;
    '@typescript-eslint/prefer-reduce-type-parameter': string;
    '@typescript-eslint/prefer-regexp-exec': string;
    '@typescript-eslint/prefer-return-this-type': string;
    '@typescript-eslint/prefer-string-starts-ends-with': string;
    '@typescript-eslint/promise-function-async': string;
    '@typescript-eslint/require-array-sort-compare': string;
    '@typescript-eslint/restrict-plus-operands': string;
    '@typescript-eslint/restrict-template-expressions': string;
    '@typescript-eslint/switch-exhaustiveness-check': string;
    '@typescript-eslint/unbound-method': string;
    '@typescript-eslint/unified-signatures': string;
};
export { typescriptBestPractice };
