declare const typescriptStyle: {
    '@typescript-eslint/adjacent-overload-signatures': string;
    '@typescript-eslint/block-spacing': string[];
    '@typescript-eslint/brace-style': string[];
    '@typescript-eslint/comma-dangle': string[];
    '@typescript-eslint/comma-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    '@typescript-eslint/default-param-last': string;
    '@typescript-eslint/dot-notation': string;
    '@typescript-eslint/func-call-spacing': string[];
    '@typescript-eslint/indent': (string | number | {
        SwitchCase: number;
    })[];
    '@typescript-eslint/key-spacing': (string | {
        afterColon: boolean;
        mode: string;
    })[];
    '@typescript-eslint/lines-between-class-members': string[];
    '@typescript-eslint/no-array-constructor': string;
    '@typescript-eslint/no-dupe-class-members': string;
    '@typescript-eslint/no-empty-function': string;
    '@typescript-eslint/no-extra-parens': (string | {
        conditionalAssign: boolean;
        ignoreJSX: string;
    })[];
    '@typescript-eslint/no-extra-semi': string;
    '@typescript-eslint/no-implied-eval': string;
    '@typescript-eslint/no-invalid-this': string;
    '@typescript-eslint/no-loop-func': string;
    '@typescript-eslint/no-loss-of-precision': string;
    '@typescript-eslint/no-magic-numbers': (string | {
        detectObjects: boolean;
        enforceConst: boolean;
        ignore: number[];
        ignoreArrayIndexes: boolean;
        ignoreClassFieldInitialValues: boolean;
        ignoreDefaultValues: boolean;
    })[];
    '@typescript-eslint/no-redeclare': string;
    '@typescript-eslint/no-restricted-imports': string;
    '@typescript-eslint/no-shadow': string;
    '@typescript-eslint/no-throw-literal': string;
    '@typescript-eslint/no-unused-expressions': (string | {
        enforceForJSX: boolean;
    })[];
    '@typescript-eslint/no-unused-vars': (string | {
        argsIgnorePattern: string;
    })[];
    '@typescript-eslint/no-use-before-define': (string | {
        classes: boolean;
        functions: boolean;
        variables: boolean;
    })[];
    '@typescript-eslint/no-useless-constructor': string;
    '@typescript-eslint/object-curly-spacing': string[];
    '@typescript-eslint/padding-line-between-statements': (string | {
        blankLine: string;
        next: string;
        prev: string[];
    } | {
        blankLine: string;
        next: string[];
        prev: string[];
    })[];
    '@typescript-eslint/quotes': string[];
    '@typescript-eslint/require-await': string;
    '@typescript-eslint/return-await': string;
    '@typescript-eslint/semi': string[];
    '@typescript-eslint/space-before-blocks': string;
    '@typescript-eslint/space-before-function-paren': (string | {
        anonymous: string;
        asyncArrow: string;
        named: string;
    })[];
    '@typescript-eslint/space-infix-ops': string;
    'block-spacing': string;
    'brace-style': string;
    'comma-dangle': string;
    'comma-spacing': string;
    'default-param-last': string;
    'dot-notation': string;
    'func-call-spacing': string;
    indent: string;
    'init-declarations': string;
    'key-spacing': string;
    'lines-between-class-members': string;
    'no-array-constructor': string;
    'no-dupe-class-members': string;
    'no-duplicate-imports': string;
    'no-empty-function': string;
    'no-extra-parens': string;
    'no-extra-semi': string;
    'no-implied-eval': string;
    'no-invalid-this': string;
    'no-loop-func': string;
    'no-loss-of-precision': string;
    'no-magic-numbers': string;
    'no-redeclare': string;
    'no-restricted-imports': string;
    'no-return-await': string;
    'no-shadow': string;
    'no-throw-literal': string;
    'no-unused-expressions': string;
    'no-unused-vars': string;
    'no-use-before-define': string;
    'no-useless-constructor': string;
    'object-curly-spacing': string;
    'padding-line-between-statements': string;
    quotes: string;
    'require-await': string;
    semi: string;
    'space-before-blocks': string;
    'space-before-function-paren': string;
    'space-infix-ops': string;
};
export { typescriptStyle };
